Skip to main content
GET
Get device test history

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

device_id
string<uuid>
required

Device identifier.

site_id
string<uuid>
required

Site identifier.

Query Parameters

created_at_after
string<date-time>

Filter results created on or after this timestamp (inclusive).

created_at_before
string<date-time>

Filter results created before this timestamp (exclusive).

job_id
string<uuid>

Optionally scope summaries to a specific job.

limit
integer

Number of results to return per page.

Required range: 1 <= x <= 500
page
integer

A page number within the paginated result set.

stage
enum<string>

Filter results by test stage.

  • single_node - Single Node
  • pairwise - Pairwise
  • collective - Collective
Available options:
single_node,
pairwise,
collective

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"